summaryrefslogtreecommitdiffstats
path: root/academic/ladr/ladr.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/ladr/ladr.SlackBuild')
-rw-r--r--academic/ladr/ladr.SlackBuild39
1 files changed, 31 insertions, 8 deletions
diff --git a/academic/ladr/ladr.SlackBuild b/academic/ladr/ladr.SlackBuild
index 4aa915f809..2b88462210 100644
--- a/academic/ladr/ladr.SlackBuild
+++ b/academic/ladr/ladr.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for ladr
-# Copyright 2007-2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# Copyright 2007-2008 Heinz Wiesinger <pprkut@liwjatan.at>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=ladr
-VERSION=Dec_2007
+VERSION=2008_09A
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -40,6 +40,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -51,16 +53,37 @@ rm -rf $SRCNAM-$SRC_VERSION
tar xvf $CWD/$SRCNAM-$SRC_VERSION.tar.gz
cd $SRCNAM-$SRC_VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" make all
+# build and use shared library instead of a static one. Modified version
+# of the patch already included in the upstream package
+patch -p1 -i $CWD/ladr-libtoolize.diff
-mkdir -p $PKG/usr/bin
+XFLAGS="$SLKCFLAGS" make all MAKEFLAGS="-j1"
+
+mkdir -p $PKG/usr/{bin,lib}
install -m 0755 ./bin/* $PKG/usr/bin/
+install -m 0755 ./ladr/libladr.la $PKG/usr/lib/
+install -m 0755 ./ladr/.libs/libladr.so.4.0.0 $PKG/usr/lib/
+ln -s /usr/lib/libladr.so.4.0.0 $PKG/usr/lib/libladr.so.4
+ln -s /usr/lib/libladr.so.4.0.0 $PKG/usr/lib/libladr.so
+
+rm -f $PKG/usr/bin/proof3fo.xsl
+chmod 755 $PKG/usr/bin/gvizify
+
+mkdir -p $PKG/usr/man/man1
+cp -f ./manpages/*.1 $PKG/usr/man/man1/
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION